Use this API to integrate with the Shippo service
Shippo external API. (2018-02-08)
Request
Returns a list of all carrier accounts connected to your Shippo account. These carrier accounts include both Shippo carrier accounts and your own carrier accounts that you have connected to your Shippo account.
Additionally, you can get information about the service levels associated with each carrier account by passing in the ?service_levels=true query parameter.
Using it appends the property service_levels to each carrier account.
By default, if the query parameter is omitted, the service_levels property will not be included in the response.
- https://api.goshippo.com/carrier_accounts
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.goshippo.com/carrier_accounts?service_levels=true&carrier=airterra&account_id=string&page=1&results=5' \
-H 'Authorization: YOUR_API_KEY_HERE' \
-H 'SHIPPO-API-VERSION: 2018-02-08'{ "next": "baseurl?page=3&results=10", "previous": "baseurl?page=1&results=10", "results": [ { … } ] }
Examples.
An array of additional parameters for the account, such as e.g. password or token. Please check our carrier accounts guide for the parameters per carrier. To protect account information, this field will be masked in any API response.
- https://api.goshippo.com/carrier_accounts
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
- fedex-existing-account-example
- fedex-existing-account-invoice-example
- ups-existing-account-example
- ups-new-account-example
curl -i -X POST \
https://api.goshippo.com/carrier_accounts \
-H 'Authorization: YOUR_API_KEY_HERE' \
-H 'Content-Type: application/json' \
-H 'SHIPPO-API-VERSION: 2018-02-08' \
-d '{
"account_id": 293235673,
"carrier": "fedex",
"metadata": "FedEx Account",
"parameters": {
"use_multi_factor_registration": true,
"first_name": "Tom",
"last_name": "Monk",
"phone_number": 1234567890,
"from_address_st": "20 FED EX PKWY",
"from_address_city": "Beverly Hills",
"from_address_state": "CA",
"from_address_zip": 90210,
"from_address_country_iso2": "US",
"verification_option": "SMS"
},
"test": false
}'Unique identifier of the account. Please check the carrier accounts tutorial page for the account_id per carrier.
To protect account information, this field will be masked in any API response.
Determines whether the account is active. When creating a shipment, if no carrier_accounts are explicitly passed Shippo will query all carrier accounts that have this field set. By default, this is set to True.
Carrier token, see Carriers
Please check the carrier accounts tutorial page for all supported carriers.
An array of additional parameters for the account, such as e.g. password or token. Please check our carrier accounts guide for the parameters per carrier. To protect account information, this field will be masked in any API response.
Unique identifier of the carrier account object.
Username of the user who created the carrier account object.
{ "account_id": "****", "active": true, "carrier": "usps", "parameters": {}, "carrier_name": "USPS", "is_shippo_account": false, "metadata": "string", "object_id": "6aa34d5f6865448fbb1ee93636e98999", "object_owner": "bob+22@gmail.com", "service_levels": [ { … } ], "test": false }
- https://api.goshippo.com/carrier_accounts/{CarrierAccountId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.goshippo.com/carrier_accounts/{CarrierAccountId}' \
-H 'Authorization: YOUR_API_KEY_HERE' \
-H 'SHIPPO-API-VERSION: 2018-02-08'Unique identifier of the account. Please check the carrier accounts tutorial page for the account_id per carrier.
To protect account information, this field will be masked in any API response.
Determines whether the account is active. When creating a shipment, if no carrier_accounts are explicitly passed Shippo will query all carrier accounts that have this field set. By default, this is set to True.
Carrier token, see Carriers
Please check the carrier accounts tutorial page for all supported carriers.
An array of additional parameters for the account, such as e.g. password or token. Please check our carrier accounts guide for the parameters per carrier. To protect account information, this field will be masked in any API response.
Unique identifier of the carrier account object.
Username of the user who created the carrier account object.
{ "account_id": "****", "active": true, "carrier": "usps", "parameters": {}, "carrier_name": "USPS", "is_shippo_account": false, "metadata": "string", "object_id": "6aa34d5f6865448fbb1ee93636e98999", "object_owner": "bob+22@gmail.com", "service_levels": [ { … } ], "test": false }
Request
Updates an existing carrier account object. The account_id and carrier can't be updated. This is because they form the unique identifier together.
Examples.
Unique identifier of the account. Please check the carrier accounts tutorial page for the account_id per carrier.
To protect account information, this field will be masked in any API response.
Determines whether the account is active. When creating a shipment, if no carrier_accounts are explicitly passed Shippo will query all carrier accounts that have this field set. By default, this is set to True.
Carrier token, see Carriers
Please check the carrier accounts tutorial page for all supported carriers.
An array of additional parameters for the account, such as e.g. password or token. Please check our carrier accounts guide for the parameters per carrier. To protect account information, this field will be masked in any API response.
- https://api.goshippo.com/carrier_accounts/{CarrierAccountId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'https://api.goshippo.com/carrier_accounts/{CarrierAccountId}' \
-H 'Authorization: YOUR_API_KEY_HERE' \
-H 'Content-Type: application/json' \
-H 'SHIPPO-API-VERSION: 2018-02-08' \
-d '{
"account_id": 123356,
"active": true,
"carrier": "ups",
"parameters": {}
}'Unique identifier of the account. Please check the carrier accounts tutorial page for the account_id per carrier.
To protect account information, this field will be masked in any API response.
Determines whether the account is active. When creating a shipment, if no carrier_accounts are explicitly passed Shippo will query all carrier accounts that have this field set. By default, this is set to True.
Carrier token, see Carriers
Please check the carrier accounts tutorial page for all supported carriers.
An array of additional parameters for the account, such as e.g. password or token. Please check our carrier accounts guide for the parameters per carrier. To protect account information, this field will be masked in any API response.
Unique identifier of the carrier account object.
Username of the user who created the carrier account object.
{ "account_id": "****", "active": true, "carrier": "usps", "parameters": {}, "carrier_name": "USPS", "is_shippo_account": false, "metadata": "string", "object_id": "6aa34d5f6865448fbb1ee93636e98999", "object_owner": "bob+22@gmail.com", "service_levels": [ { … } ], "test": false }
Request
Used by client applications to setup or reconnect an existing carrier account with carriers that support OAuth 2.0
- https://api.goshippo.com/carrier_accounts/{CarrierAccountObjectId}/signin/initiate
- cURL
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl "https://api.goshippo.com/carrier_accounts/2ccf5af209bb484cb20190d9cadbb61c/signin/initiate?redirect_uri=https://client.example.com/cb&state=SplxlOBeZQQYbYS6WxSbIA" \
-H "Authorization: ShippoToken shippo_test_3a47d23c032ca626fce863c48d0f93d63a394396"Redirects the browser to the carrier login page, with the needed parameters
No contentExamples.
- Shippo Canada Post account
- Shippo Chronopost account
- Shippo Colissimo account
- Shippo Correos account
- Shippo Deutsche Post account
- Shippo DHL Express account
- Shippo DPD DE account
- Shippo DPD UK account
- Shippo FedEx account
- Shippo Evri UK account
- Shippo Mondial Relay account
- Shippo Poste Italiane account
- Shippo UPS account
- Shippo USPS account
- https://api.goshippo.com/carrier_accounts/register/new
- cURL
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl --location --request POST '/carrier_accounts/register/new' \
--header 'Authorization: ShippoToken {{token}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"carrier": "canada_post",
"parameters": {
"company": "Shippo",
"full_name": "Shippo Meister",
"email": "hippo@shippo.com",
"phone": "1112221122",
"canada_post_terms": true
}
}'Unique identifier of the account. Please check the carrier accounts tutorial page for the account_id per carrier.
To protect account information, this field will be masked in any API response.
Determines whether the account is active. When creating a shipment, if no carrier_accounts are explicitly passed Shippo will query all carrier accounts that have this field set. By default, this is set to True.
Carrier token, see Carriers
Please check the carrier accounts tutorial page for all supported carriers.
An array of additional parameters for the account, such as e.g. password or token. Please check our carrier accounts guide for the parameters per carrier. To protect account information, this field will be masked in any API response.
Unique identifier of the carrier account object.
Username of the user who created the carrier account object.
{ "account_id": "****", "active": true, "carrier": "usps", "parameters": {}, "carrier_name": "USPS", "is_shippo_account": false, "metadata": "string", "object_id": "6aa34d5f6865448fbb1ee93636e98999", "object_owner": "bob+22@gmail.com", "service_levels": [ { … } ], "test": false }
- https://api.goshippo.com/carrier_accounts/reg-status
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.goshippo.com/carrier_accounts/reg-status?carrier=ups' \
-H 'Authorization: YOUR_API_KEY_HERE' \
-H 'SHIPPO-API-VERSION: 2018-02-08'{ "carrier_account": "99dc410d295b4a168993cc38809cb123", "object_created": "2019-08-24T14:15:22Z", "object_owner": "tom@gmail.com", "object_updated": "2019-08-24T14:15:22Z", "status": "PENDING_TERMS" }
Request
Uploads a letterhead or signature image file that can be added to commercial invoices by supporting carriers.
Document data required to upload a letterhead or signature document for a FedEx account.
- https://api.goshippo.com/carrier_accounts/{object_id}/documents
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://api.goshippo.com/carrier_accounts/{object_id}/documents' \
-H 'Authorization: YOUR_API_KEY_HERE' \
-H 'Content-Type: multipart/form-data' \
-F document_type=LETTERHEAD \
-F file=string